Name:           accountsservice
Version:        22.08.8
Release:        2
Summary:        D-Bus service for accessing the list of user accounts and information attached to those accounts.

License:        GPLv3+
URL:            https://www.freedesktop.org/wiki/Software/AccountsService/
Source0:        https://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

Patch1:		accountsservice-22.08.8-kylin-add-background-file-support.patch
Patch2:         accountsservice-22.08.8-kylin-add-formats-locale-support.patch

BuildRequires:  gtk-doc polkit-devel libxslt pkgconfig(dbus-1) systemd systemd-devel
BuildRequires:  meson gobject-introspection-devel gettext-devel glib2-devel vala
Requires:       polkit shadow-utils
%systemd_requires

%description
AccountsService has been developed in and is used by the GNOME
project but should be usable in other desktops. It is a young
project and is being kept pliable to update to requirements as
they arise.

%package libs
Summary:         The library for client-side to interact with accountsservice
Requires:        accountsservice = %{version}-%{release}

%description libs
Applications use library that %{name}-libs package provides to interact with the
accountsservice daemon.

%package        devel
Summary:        %{name}-libs development files
Requires:       accountsservice-libs = %{version}-%{release}

%description    devel
The headers and other files that required to build the %{name}-libs application
are contained in %{name}-devel package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p 1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%post
%systemd_post accounts-daemon.service

%preun
%systemd_preun accounts-daemon.service

%postun
%systemd_postun accounts-daemon.service


%ldconfig_scriptlets libs

%files
%doc AUTHORS
%license COPYING
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/icons/
%dir %{_localstatedir}/lib/AccountsService/users/
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/locale/
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/dbus-1/system.d/*.conf
%{_unitdir}/accounts-daemon.service
%{_datadir}/accountsservice/user-templates/*
%{_datadir}/vala/vapi/*
%{_libexecdir}/accounts-daemon

%files libs
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_datadir}/gir-1.0/*.gir
%{_libdir}/libaccountsservice.so
%{_libdir}/pkgconfig/accountsservice.pc
%{_includedir}/accountsservice-1.0/act/*.h

%files help
%doc README.md
%{_datadir}/gtk-doc/html/libaccountsservice/*

%changelog
* Mon Sep 18 2023 peijiankang <peijiankang@kylinos.cn> - 22.08.8-2
- add background-file and formats-locale support

* Tue Jun 21 2022 yangzhao <yangzhao1@kylinos.cn> - 22.08.8-1
- Upgrade to version 22.08.8

* Mon Jun 20 2022 wangkeorng <wangkerong@h-partners.com> - 0.6.55-2
- fix build fail on meson-0.6

* Thu Jan 28 2021 yanglu <yanglu60@huawei.com> - 0.6.55-1
- Version update

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.54-2
- Package Init
